Runtime

## org.eclipse.gmf.runtime.diagram.core.commands
Class AddCommand

    java.lang.Object
      org.eclipse.core.commands.operations.AbstractOperation
          org.eclipse.emf.workspace.AbstractEMFOperation
              org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
                  org.eclipse.gmf.runtime.diagram.core.commands.AddCommand

All Implemented Interfaces:
  IUndoableOperation, ICommand, org.eclipse.gmf.runtime.common.core.internal.command.ICommandWithSettableResult

    public class AddCommand

extends AbstractTransactionalCommand

A command to add a view to a another view at a given index

Constructor Summary
`AddCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain, IAdaptable parent, IAdaptable child)` Creates a new `AddCommand`
`AddCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain, IAdaptable parent, IAdaptable child, int index)` Creates a new `AddCommand`

Method Summary
`protected CommandResult` `doExecuteWithResult(IProgressMonitor monitor, IAdaptable info)` executes the command; which will get the child and the containaer from the `IAdaptable`and then insert the child at the given index in the containers child list.``
`java.util.List` `getAffectedFiles()` Returns the `IFile`s for resources that may be modified when the operation is executed, undone or redone.
`java.lang.String` `getLabel()`

Methods inherited from class org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
`aggregateStatuses, cleanup, compose, didRedo, didUndo, doExecute, doRedo, doUndo, getCommandResult, getWorkspaceFiles, getWorkspaceFiles, internalSetResult, reduce, setResult`

Methods inherited from class org.eclipse.emf.workspace.AbstractEMFOperation
`canRedo, canUndo, didCommit, dispose, execute, getChange, getEditingDomain, getOptions, redo, undo`

Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation
`addContext, canExecute, getContexts, hasContext, removeContext, setLabel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.command.ICommand
`setLabel`

Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation
`addContext, canExecute, canRedo, canUndo, dispose, execute, getContexts, hasContext, redo, removeContext, undo`

Constructor Detail

### AddCommand

    public AddCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain,
                      IAdaptable parent,
                      IAdaptable child)

  Creates a new `AddCommand`

  Parameters:
    `editingDomain` - the editing domain through which model changes are made
    `parent` - The parent view adapter
    `child` - The child view adapter

### AddCommand

    public AddCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain,
                      IAdaptable parent,
                      IAdaptable child,
                      int index)

  Creates a new `AddCommand`

  Parameters:
    `editingDomain` - the editing domain through which model changes are made
    `parent` - The parent view adapter
    `child` - The child view adapter
    `index` - the child insertion index

Method Detail

### getAffectedFiles

    public java.util.List getAffectedFiles()

  Description copied from class: `AbstractTransactionalCommand`
  Returns the `IFile`s for resources that may be modified when the operation is executed, undone or redone.

  Specified by:
    `getAffectedFiles` in interface `ICommand`
  Overrides:
    `getAffectedFiles` in class `AbstractTransactionalCommand`
  Returns:
    the list of `IFile`s that will be modified

### doExecuteWithResult

    protected CommandResult doExecuteWithResult(IProgressMonitor monitor,
                                                IAdaptable info)
                                         throws ExecutionException

  executes the command; which will get the child and the containaer from the `IAdaptable`and then insert the child at the given index in the containers child list.

  ``
  Specified by:
    `doExecuteWithResult` in class `AbstractTransactionalCommand`
  Parameters:
    `monitor` - the progress monitor provided by the operation history
    `info` - the adaptable provided by the operation history
  Returns:
    the result of the execution
  Throws:
    `ExecutionException` - if, for some reason, I fail to complete the operation

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in interface `IUndoableOperation`
  Overrides:
    `getLabel` in class `AbstractOperation`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.